/*   **********************************************************************  **
 **   Copyright notice                                                       **
 **                                                                          **
 **   (c) 2009, Around(J2)ME				                                 **
 **   All rights reserved.                                                   **
 **                                                                          **
 **   This program and the accompanying materials are made available under   **
 **   the terms of the New BSD License which accompanies this    			 **
 **   distribution.											                 **
 **   A copy is found in the textfile LICENSE.txt							 **
 **                                                                          **
 **   This copyright notice MUST APPEAR in all copies of the file!           **
 **                                                                          **
 **   Main developers:                                                       **
 **     Juri Strumpflohner		http://blog.js-development.com	             **
 **		Matthias Braunhofer		http://matthias.jimdo.com                    **
 **                                                                          **
 **  **********************************************************************  */

package com.aroundj2me.view;

/**
 * Interface for windows showing a progress bar
 *
 */
public interface IProgressWindow {
	/**
	 * starts the progress
	 */
	public void startProgress();
	
	/**
	 * starts the progress by showing the given message as
	 * the status message
	 * @param progressMessage
	 */
	public void startProgress(String progressMessage);
	
	/**
	 * stops the progress
	 */
	public void stopProgress();
}
