/*   **********************************************************************  **
 **   Copyright notice                                                       **
 **                                                                          **
 **   (c) 2009, Around(J2)ME				                                 **
 **   All rights reserved.                                                   **
 **                                                                          **
 **   This program and the accompanying materials are made available under   **
 **   the terms of the New BSD License which accompanies this    			 **
 **   distribution.											                 **
 **   A copy is found in the textfile LICENSE.txt							 **
 **                                                                          **
 **   This copyright notice MUST APPEAR in all copies of the file!           **
 **                                                                          **
 **   Main developers:                                                       **
 **     Juri Strumpflohner		http://blog.js-development.com	             **
 **		Matthias Braunhofer		http://matthias.jimdo.com                    **
 **                                                                          **
 **  **********************************************************************  */

package com.aroundj2me.model;

public class Messages {

	public static final String GOOGLEMAP_ERROR = "Oops..the map couldn't be retrieved! We're sorry, please try again later.";
	public static final String CURRENT_LOCATION_NOT_FOUND = "Oops..there was a problem detecting your location: ";
	public static final String SERVER_CONNECTION_FAILED = "Oops..we were unable to connect to the server! We're sorry, please try again later.";
	
	public static final String DISPLAY_PLACES_ERROR = "There was an error displaying the places! We're sorry, please try again later.";
	public static final String DISPLAY_PLACES_NOTHING_FOUND = "No places have been found.";
	
	public static final String ERROR_READING_RECORDS = "Oops!! We were unable to read the data from your mobile. We suggest to download the places again from the server!";
	
	public static final String INSTALLATION_SUCCESS = "The places for the selected continent have been successfully installed.";
	public static final String INSTALLATION_ERROR =  "Oops..your request request to download the places failed! We're sorry, please try again later.";
}
